Foreman - Bug #5841

Foreman dashboard slow in 1.5 for non admin users
05/20/2014 07:21 PM - Chuck Schweizer

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Performance
Target version: 1.7.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.5.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1995
Description

Previous ticket that fixed the issue for foreman 1.4
http:/projects.theforeman.org/issues/3122
http://projects.theforeman.org/issues/2982

This foreman instance has 25,036 puppet clients reporting to it.

Related issues:

Related to Foreman - Bug #2982: Non Admin user Dashboard load is very slow wi... Resolved 08/28/2013
Related to Foreman - Bug #3122: when fact filters are added to a user, error ... Closed 09/19/2013
Related to Foreman - Bug #7009: N+1 hosts query in dashboard page Closed 08/10/2014
Related to Foreman - Bug #8817: PGError: ERROR: missing FROM-clause entry for... Closed 12/31/2014

Associated revisions

Revision d50¢7990 - 12/04/2014 02:35 AM - Dominic Cleal

fixes #5841 - use inner query when retrieving reports for subset of authorised hosts

Revision ecdb85a8 - 12/15/2014 10:00 AM - Dominic Cleal

fixes #5841 - use inner query when retrieving reports for subset of authorised hosts

(cherry picked from commit d50c79908831be65da0b0005e438c9e819db613a)

History

#1 - 05/20/2014 07:38 PM - Dominic Cleal

- Related to Bug #2982: Non Admin user Dashboard load is very slow with a large number of mangaged nodes added

#2 - 05/20/2014 07:38 PM - Dominic Cleal

- Related to Bug #3122: when fact filters are added to a user, error column reference "id" is ambiguous for dashboard and fact_values added

#3 - 05/20/2014 07:39 PM - Dominic Cleal
- Difficulty deleted (easy)

#4 - 06/15/2014 01:29 PM - Ohad Levy

Dominic, did you investigate on this? Any reason why the ID's are added instead of INNER query?

#5 - 06/16/2014 07:22 AM - Dominic Cleal
Ohad Levy wrote:

Dominic, did you investigate on this? Any reason why the ID's are added instead of INNER query?

Not in depth, but | saw here that it was done deliberately: https://github.com/theforeman/foreman/blob/develop/app/models/report.rb#L 36-L.37
http://projects.theforeman.org/issues/3122
http://projects.theforeman.org/issues/2982
https://github.com/theforeman/foreman/blob/develop/app/models/report.rb#L36-L37

It might be we can use the authorized scope directly, but | haven't tested.

#6 - 08/11/2014 03:37 AM - Dominic Cleal
- Related to Bug #7009: N+1 hosts query in dashboard page added

#7 - 12/03/2014 11:48 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#8 - 12/03/2014 11:48 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1995 added
- Pull request deleted ()

#9 - 12/04/2014 03:01 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset d50c79908831be65da0b0005e438c9e819db613a.

#10 - 12/05/2014 03:40 AM - Dominic Cleal

- translation missing: en.field_release set to 29

#11 - 01/02/2015 05:27 AM - Dominic Cleal
- Related to Bug #8817: PGError: ERROR: missing FROM-clause entry for table "hostgroups" added

#12 - 03/04/2015 08:20 AM - Dominic Cleal
This was shipped in 1.7.1 but will be reverted in 1.7.3 as it caused a more severe issue recorded in #8817. The change remains in the 1.8/1.9

branches, where | hope to have a better solution to fix both.
